Unixutils-1.54.1: A crude interface between Haskell and Unix-like operating systems

Safe Haskell | Safe
Language | Haskell98

System.Unix.KillByCwd

Description

A place to collect and hopefully retire all the random ways of running shell commands that have accumulated over the years.

Synopsis

- killByCwd :: FilePath -> IO [(String, Maybe String)]

# Documentation

killByCwd :: FilePath -> IO [(String, Maybe String)] #

Kill the processes whose working directory is in or under the given directory.